@ECHO OFF
CLS
IF %1==? GOTO Aide
IF %1==/? GOTO Aide
IF %1==*.* GOTO Etoile
IF %1==* GOTO Etoile
IF NOT EXIST %1.A51 GOTO FichierIntrouvable
IF EXIST %1.LST DEL %1.LST
IF EXIST %1.OBJ DEL %1.OBJ
IF EXIST %1.HEX DEL %1.HEX
IF EXIST %1.BIN DEL %1.BIN
A51 %1.A51
ECHO.
OHS51 %1.OBJ
HEXBIN %1.HEX %1.BIN I
GOTO Fin
:Etoile
CLS
ECHO.
ECHO  Caractres gnriques non supports.
ECHO.
ECHO  Ŀ
ECHO    Tapez COMPILE /? pour optenir le mode d'emploi de la commande         
ECHO  
GOTO Fin
:Aide
CLS
ECHO  Ŀ
ECHO    AIDE SUR LA COMMANDE COMPILE                                          
ECHO  
ECHO.
ECHO La commande COMPILE permet de compiler un fichier source au format A51 en
ECHO assembleur pour micro contrleurs compatibles 8051. 
ECHO. 
ECHO Pour compiler un fichier source, tapez  "COMPILE NomFichier" o NomFichier
ECHO est le nom du fichier source sans son extension A51. Le fichier source doit
ECHO tre dans le rpertoire en cours.
ECHO. 
ECHO Par exemple, pour compiler le fichier "C:\8051\PROGRAM\platine.a51" il faut
ECHO taper :
ECHO. 
ECHO   CD C:\8051\PROGRAM
ECHO. 
ECHO   COMPILE platine
ECHO. 
PAUSE
CLS
ECHO Le programme cherche alors les anciens fichiers :
ECHO. 
ECHO   NomFichier.LST     NomFichier.OBJ     NomFichier.HEX     NomFichier.BIN
ECHO. 
ECHO et les supprime s'ils existent.
ECHO.
ECHO. 
ECHO Puis il cr  partir du fichier source les nouveaux fichiers :
ECHO. 
ECHO   NomFichier.LST     NomFichier.OBJ     NomFichier.HEX     NomFichier.BIN
ECHO. 
ECHO. 
ECHO NomFichier.LST est un fichier texte dcrivant les erreurs et les warnings.
ECHO.
ECHO NomFichier.HEX et NomFichier.BIN correspondent au code machine gnr.
ECHO NomFichier.BIN corresponds exactement au contenu de la ROM.
ECHO.
PAUSE
CLS
ECHO Le programme cr les fichiers avec les commandes A51, OHS51 et HEXBIN.
ECHO. 
ECHO Alors les fichiers A51.EXE, OHS51.EXE, HEXBIN.EXE et COMPILE.BAT doivent
ECHO tre laisss dans le mme rpertoire (par exemple C:\8051).
ECHO. 
ECHO Aussi, pour pouvoir utiliser la commande COMPILE depuis n'importe
ECHO quel rpertoire, ajoutez le rpertoire de COMPILE.BAT dans la liste des
ECHO rpertoires de la commande PATH du AUTOEXEC.BAT.
ECHO.
ECHO Pour ce faire ouvrez votre fichier AUTOEXEC.BAT avec un diteur de texte,
ECHO reprez la commande PATH et modifiez-l.
ECHO. 
ECHO Par exemple, si vous trouvez dans le fichier AUTOEXEC.BAT la ligne :
ECHO. 
ECHO   C:\WINDOWS;C:\WINDOWS\COMMAND;C:\DOS;
ECHO. 
ECHO Ajoutez-y le nom du rpertoire de COMPILE.BAT (ici C:\8051) :
ECHO. 
ECHO   C:\WINDOWS;C:\WINDOWS\COMMAND;C:\DOS;C:\8051;
GOTO Fin
:FichierIntrouvable
ECHO.
ECHO  ERREUR - FICHIER %1.A51 INTROUVABLE
ECHO.
ECHO  Ŀ
ECHO    Tapez COMPILE /? pour optenir le mode d'emploi de la commande         
ECHO  
:Fin
ECHO ON